#!/bin/sh
#
# filename: /etc/hotplug/usb/wibu_usb.sh (0755)
# Version .. 3.30.0 of Tue Sep 10 2002 RELEASEVERSION
#
# Kernel USB hotplug params include:
#	ACTION=%s [add or remove]
# And if usbdevfs is configured, also:
#	DEVICE=/proc/bus/usb/%03d/%03d
#
# See /etc/hotplug/usb.agent for mor information
#-------------------------------------------------------------
#
cd /etc/hotplug
. hotplug.functions #contains the mesg function
mesg Setting permissions of $DEVICE for WIBUKEY $PRODUCT
LOGF=/tmp/wkb_hotplug.log
echo -e "#$0 logfile;\nname: $LOGF\n#See /etc/hotplug/usb/wibu_usb.sh" > $LOGF
case $ACTION in
   add)
        echo "#add: chmod 666 $DEVICE :\$PRODUCT=$PRODUCT:" `date` >> $LOGF
        /bin/chmod 666 "$DEVICE"
        ;;
   remove)
        echo "#remove:chmod 666 $DEVICE :\$PRODUCT=$PRODUCT:" `date` >> $LOGF
        ;;
esac
#-------------------------------------------------------------
# 20020208 - mn
#EOF
